summaryrefslogtreecommitdiffstats
path: root/util/mainboard
diff options
context:
space:
mode:
Diffstat (limited to 'util/mainboard')
-rwxr-xr-xutil/mainboard/google/hatch/create_coreboot_variant.sh11
-rw-r--r--util/mainboard/google/hatch/template/include/variant/gpio.h7
2 files changed, 15 insertions, 3 deletions
diff --git a/util/mainboard/google/hatch/create_coreboot_variant.sh b/util/mainboard/google/hatch/create_coreboot_variant.sh
index 569143f79512..184e54c81083 100755
--- a/util/mainboard/google/hatch/create_coreboot_variant.sh
+++ b/util/mainboard/google/hatch/create_coreboot_variant.sh
@@ -13,11 +13,14 @@
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
+VERSION="1.0.0"
+SCRIPT=$(basename -- "${0}")
+
export LC_ALL=C
if [[ "$#" -lt 1 ]]; then
- echo "Usage: $0 variant_name [b:bug_number]"
- echo "e.g. $0 kohaku b:140261109"
+ echo "Usage: ${SCRIPT} variant_name [b:bug_number]"
+ echo "e.g. ${SCRIPT} kohaku b:140261109"
echo "Adds a new variant of Hatch to Kconfig and Kconfig.name, creates the"
echo "skeleton files for acpi, ec, and gpio, copies the makefile for"
echo "SPD sources, and sets up a basic overridetree"
@@ -56,7 +59,7 @@ fi
# Start a branch. Use YMD timestamp to avoid collisions.
DATE=$(date +%Y%m%d)
-git checkout -b "create_${VARIANT}_${DATE}" || exit 1
+git checkout -b "coreboot_${VARIANT}_${DATE}" || exit 1
# Copy the template tree to the target.
mkdir -p "variants/${VARIANT}/"
@@ -75,6 +78,8 @@ git add Kconfig Kconfig.name
# Now commit the files.
git commit -sm "${BASE}: Create ${VARIANT} variant
+(Auto-Generated by ${SCRIPT} version ${VERSION}).
+
BUG=${BUG}
TEST=util/abuild/abuild -p none -t google/${BASE} -x -a
make sure the build includes GOOGLE_${VARIANT_UPPER}"
diff --git a/util/mainboard/google/hatch/template/include/variant/gpio.h b/util/mainboard/google/hatch/template/include/variant/gpio.h
index 1322233ad0bf..3b07c1ba20bb 100644
--- a/util/mainboard/google/hatch/template/include/variant/gpio.h
+++ b/util/mainboard/google/hatch/template/include/variant/gpio.h
@@ -16,4 +16,11 @@
#include <baseboard/gpio.h>
+/* Memory configuration board straps */
+/* Copied from baseboard and may need to change for the new variant. */
+#define GPIO_MEM_CONFIG_0 GPP_F20
+#define GPIO_MEM_CONFIG_1 GPP_F21
+#define GPIO_MEM_CONFIG_2 GPP_F11
+#define GPIO_MEM_CONFIG_3 GPP_F22
+
#endif